function skill042()

if global.GetGameStat()==2 then

p = flag.GetBattleValue(33032)

if p==2 then

	for hi=1,9,1 do
	
		if battle.GetPlacePlayerID(hi)~=0 then  --指定位置是否有活人
			for si=0,9,1  do
				if battle.CheckPlayerStat(battle.GetPlacePlayerID(hi),si)==1 then  --是否有不利状态
				   player.ChangeDP(0,battle.GetPlacePlayerID(hi),4)
				   player.CreateSE(battle.GetPlacePlayerID(hi),3911)
				end    
			end
		end
	end
	
end

player.RemoveStat(1,0,0)
player.RemoveStat(1,0,1)
player.RemoveStat(1,0,2)
player.RemoveStat(1,0,3)
player.RemoveStat(1,0,4)
player.RemoveStat(1,0,5)
player.RemoveStat(1,0,6)
player.RemoveStat(1,0,7)
player.RemoveStat(1,0,8)
player.RemoveStat(1,0,9)

local pid=battle.GetActingPlayerID()
player.AddStat(0,pid,100,740,999)

end
	
end